Authorize Provider
curl --request POST \
--url https://api.develophealth.ai/provider/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"npi": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "[email protected]",
"fax_number": "<string>",
"phone_number": "<string>",
"address": {
"street": "<string>",
"street_line_2": "<string>",
"city": "<string>",
"state_province": "<string>",
"zip_postal_code": "<string>",
"country": "<string>"
}
}
'import requests
url = "https://api.develophealth.ai/provider/authorize"
payload = {
"npi": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "[email protected]",
"fax_number": "<string>",
"phone_number": "<string>",
"address": {
"street": "<string>",
"street_line_2": "<string>",
"city": "<string>",
"state_province": "<string>",
"zip_postal_code": "<string>",
"country": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
npi: '<string>',
first_name: '<string>',
last_name: '<string>',
email: '[email protected]',
fax_number: '<string>',
phone_number: '<string>',
address: {
street: '<string>',
street_line_2: '<string>',
city: '<string>',
state_province: '<string>',
zip_postal_code: '<string>',
country: '<string>'
}
})
};
fetch('https://api.develophealth.ai/provider/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}{
"status": "error",
"error": {
"title": "Provider Authorization Already Initiated",
"description": "Authorization has already been initiated for a provider with this NPI or email",
"code": "PROVIDER_AUTHORIZATION_ALREADY_INITIATED"
}
}{
"status": "error",
"error": {
"title": "API Access Not Enabled",
"description": "Programmatic API access is not enabled for this organization.",
"code": "api_access_not_enabled"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"status": "error",
"error": {
"title": "Rate Limit Exceeded",
"description": "The request exceeds the organization's configured API rate limit. Retry after the duration specified by Retry-After.",
"code": "rate_limit_exceeded"
}
}{
"status": "error",
"error": {
"title": "Service Unavailable",
"description": "The service is temporarily unavailable. Retry the request shortly.",
"code": "service_unavailable"
}
}Authorize Provider
POST
/
provider
/
authorize
Authorize Provider
Overview
This endpoint is used to authorize a provider to be able to submit prior authorizations and benefit verifications on behalf of a provider.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Represents a request for authorizing a provider.
The NPI of the provider.
The first name of the provider.
The last name of the provider.
The email of the provider.
The provider's fax number.
The provider's phone number.
The provider's practice address.
Show child attributes
Show child attributes